/************************************************************
 * Glenn Josefiak                                           *
 * SW511                                                    *
 * Fairfield University                                     *
 * Fall 2002                                                *
 ************************************************************/

package dsp;

import javax.sound.sampled.*;

/************************************************************/
/**
 *	Root Mean Square (RMS) energy calculator.
 */
public class EnergyDetector{

	/********************************************************/
    /** 
	 * computes RMS energy of the samples in the supplied buffer
	 */
	public static int compute(short[] buffer){
		double energy;
		double sample;
	
		energy = 0.0;
		for (int i=0; i<buffer.length; i++){
			sample = (double)buffer[i];
			
			energy += sample * sample;
		}
		energy /= (buffer.length);
		energy = Math.sqrt(energy);
		
		return (int)energy;		
	}
}