package RajusTTS;
import java.util.*;

public class TextToTone {
	String Tones[] = new String[61];
	public TextToTone()
	{
		Tones[0]="10ms";	Tones[1]="10ms";	Tones[2]="10ms";	Tones[3]="10ms";	Tones[4]="10ms";
		Tones[5]="10ms";	Tones[6]="10ms";	Tones[7]="10ms";	Tones[8]="10ms";	Tones[9]="10ms";
		Tones[10]="10ms";	Tones[11]="10ms";	Tones[12]="10ms";
		//
		Tones[13]="A220";		Tones[14]="Ash233";		Tones[15]="B247";
		Tones[16]="C261";		Tones[17]="Csh277";		Tones[18]="D293";
		Tones[19]="Dsh311";		Tones[20]="E329";		Tones[21]="F349";
		Tones[22]="Fsh370";		Tones[23]="G392";		Tones[24]="Gsh415";
		//
		Tones[25]="A440";		Tones[26]="Ash466";		Tones[27]="B494";
		Tones[28]="C523";		Tones[29]="Csh554";		Tones[30]="D587";
		Tones[31]="Dsh622";		Tones[32]="E659";		Tones[33]="F698";
		Tones[34]="Fsh740";		Tones[35]="G784";		Tones[36]="Gsh830";
		//
		Tones[37]="A880";		Tones[38]="Ash932";		Tones[39]="B987";
		Tones[40]="C1046";		Tones[41]="Csh1108";	Tones[42]="D1174";
		Tones[43]="Dsh1244";	Tones[44]="E1318";		Tones[45]="F1396";
		Tones[46]="Fsh1480";	Tones[47]="G1568";		Tones[48]="Gsh1661";
		//
		Tones[49]="A1760";		Tones[50]="Ash1864";	Tones[51]="B1975";
		Tones[52]="C2093";		Tones[53]="Csh2217";	Tones[54]="D2349";
		Tones[55]="Dsh2489";	Tones[56]="E2637";		Tones[57]="F2793";
		Tones[58]="Fsh2960";	Tones[59]="G3136";		Tones[60]="A3520";
		//
		
	}
	private String getTone(char initChar)
	{
		switch (initChar)
		{
			case 'a': case 'A':		return Tones[25];
			case 'b': case 'B':		return Tones[26];
			case 'c': case 'C':		return Tones[27];
			case 'd': case 'D':		return Tones[28];
			case 'e': case 'E':		return Tones[29];
			case 'f': case 'F':		return Tones[30];
			case 'g': case 'G':		return Tones[31];
			case 'h': case 'H':		return Tones[32];
			case 'i': case 'I':		return Tones[33];
			case 'j': case 'J':		return Tones[34];
			case 'k': case 'K':		return Tones[35];
			case 'l': case 'L':		return Tones[36];
			case 'm': case 'M':		return Tones[37];
			case 'n': case 'N':		return Tones[38];
			case 'o': case 'O':		return Tones[39];
			case 'p': case 'P':		return Tones[40];
			case 'q': case 'Q':		return Tones[41];
			case 'r': case 'R':		return Tones[42];
			case 's': case 'S':		return Tones[43];
			case 't': case 'T':		return Tones[44];
			case 'u': case 'U':		return Tones[45];
			case 'v': case 'V':		return Tones[46];
			case 'w': case 'W':		return Tones[47];
			case 'x': case 'X':		return Tones[48];
			case 'y': case 'Y':		return Tones[49];
			case 'z': case 'Z':		return Tones[50];
			default:				return Tones[60];
		}
	}
	public String getPhoneWord(String longText)
	{
		String ret = "10ms";
		StringTokenizer st=new StringTokenizer(longText," ",false);
		while (st.hasMoreTokens())
		{
			// -- Construct a file name for the allophone --
			String thisToken=st.nextToken();
			String thisNote = getTone(thisToken.charAt(0));
			for (int i=0; i<thisToken.length();i++)
			{
				ret += "|" + thisNote;
			}
			System.out.println(ret);
			ret += "|" + "1sp";
		}
		return ret;
	}

}

