package Phasor;
public class Geometry {
// Geometry of starting points of vectors
		 int x1 = 150;
		 int y1 = 150;
		 int x2 = 150;
		 int y2 = 150;

		 int xcen = 250;
		 int ycen = 250;
		 int xOffset = 0;


// Initial parameters of 2 phasors
		 static double omega1 = 1;
		 static double omega2 = 1.1;
		 double amp1 = 60;
		 double amp2 = 80;
		 double phi1 = 0;		 // phase lag
		 double phi2 = 0;		 // phase lag


		 double theta = 0;

		 double t = 0;
		 static double delt = .05;  // time increment per display sample

		 static int milliseconds = 100; //Display timer
		 
		 public Geometry()
		 {
		 }

		 public void setGeometry(double om1, double om2,
		 				 double am1, double am2,
		 				 double ph1, double ph2)
		 {
		 		 // set up phasor parameters
		 		 omega1 = om1;
		 		 omega2 = om2;
		 		 amp1 = am1;
		 		 amp2 = am2;
		 		 phi1 = ph1;
		 		 phi2 = ph2;
		 }
		 
		 public int getX1()
		 {
		 	return x1;
		 }

		 public int getY1()
		 {
		 	return y1;
		 }

		 public int getX2()
		 {
		 	return x2;
		 }

		 public int getY2()
		 {
		 	return y2;
		 }
	

		 public void upDateGeometry(){

		 		 t += delt;

		 		 double theta1 = t*omega1;
		 		 double theta2 = t*omega2;
		 		 //System.out.println("t: "+ t + "; delt: " + delt);
		 		 //System.out.println("\ntheta1: " + theta1 + " \ttheta2: " + theta2);

		 		 x1 = (int)(amp1*Math.cos(-theta1-phi1));
		 		 y1 = (int)(amp1*Math.sin(-theta1-phi1));

		 		 x2 = (int)(amp2*Math.cos(-theta2-phi2));
		 		 y2 = (int)(amp2*Math.sin(-theta2-phi2));
		 }

		 static void setSamplesPerPeriod( double st ){
		 		 // sample time expressed as number of samples per omega1 wave
		 		 delt = Math.abs((2*Math.PI/omega1))/st;
		 }



}

